NXOpen .NET Reference  12.0.0
Properties | List of all members
NXOpen.Features.Subdivision.SubdivisionSewCageBuilder Class Reference

Represents a NXOpen.Features.Subdivision.SubdivisionSewCageBuilder builder More...

Inheritance diagram for NXOpen.Features.Subdivision.SubdivisionSewCageBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Properties

unsafe
NXOpen.Features.Subdivision.SelectCageObjectData 
SelectedEdges1 [get]
 Returns the first set of edges More...
 
unsafe
NXOpen.Features.Subdivision.SelectCageObjectData 
SelectedEdges2 [get]
 Returns the second set of edges More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Represents a NXOpen.Features.Subdivision.SubdivisionSewCageBuilder builder

To create a new instance of this class, use NXOpen.Features.Subdivision.SubdivisionBodyCollection.CreateSubdivisionSewCageBuilder

Created in NX10.0.0

Property Documentation

unsafe NXOpen.Features.Subdivision.SelectCageObjectData NXOpen.Features.Subdivision.SubdivisionSewCageBuilder.SelectedEdges1
get

Returns the first set of edges

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.Subdivision.SelectCageObjectData NXOpen.Features.Subdivision.SubdivisionSewCageBuilder.SelectedEdges2
get

Returns the second set of edges

Created in NX10.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.